cURL
curl --request POST \ --url https://api.payvessel.com/kyc/api/v1/merchant/risk/credit-score/query \ --header 'Content-Type: <content-type>' \ --header 'api-key: <api-key>' \ --header 'api-secret: <api-secret>' \ --data ' { "mobile_no": "08012345678", "id_number": "22123456789", "extend_info": { "channel": "web", "product": "consumer-loan" } } '
{ "success": true, "message": "Credit score query completed successfully", "data": { "credit_score": "742", "version": "v1.0", "request_id": "CSQ-20260402-0001" }, "charges": { "charged": false, "charged_amount": "0.00" } }
Query customer credit score information using mobile number, ID number, and optional extended info.
Your PayVessel API key
Your PayVessel API secret
Request content type
application/json
"08012345678"
"22123456789"
{ "channel": "web", "product": "consumer-loan"}
Credit score query response
true
"Credit score query completed successfully"
Show child attributes